# Add-RASAVDHostPoolAssignment.md

## NAME

Add-RASAVDHostPoolAssignment

## SYNOPSIS

Adds a user or group to the Azure Virtual Desktop Host Pool Assignment List.

## SYNTAX

\*\*Add-RASAVDHostPoolAssignment \[[Id](#id-string)] *(uint)* \[[Account](#account-string) *(string)*] \[[SID](#sid-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Add-RASAVDHostPoolAssignment \[-[InputObject](#inputobject)] *(*[*AVDHostPool*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdhostpool.md)*)* \[[Account](#account-string) *(string)*] \[[SID](#sid-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Add-RASAVDHostPoolAssignment \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[[Account](#account-string) *(string)*] \[[SID](#sid-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Adds a user or group to the Azure Virtual Desktop Host Pool Assignment List within an Azure Virtual Desktop Host Pool.

## PARAMETERS

## Id (uint)

ID for which to modify the Azure Virtual Desktop Host Pool settings.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Name (string)

The name of the target Azure Virtual Desktop Host Pool settings.

This must be the actual Azure Virtual Desktop Host Pool name used in the RAS farm.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID in which to modify the specified Azure Virtual Desktop Host Pool settings .

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([AVDHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdhostpool.md))

An object of type AVDHostPool for which to modify settings.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Account (string)

The name of the account to add to the Assignments.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SID (string)

The SID of the account to add to the Assignments.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Add-RASAVDHostPoolAssignment -Id 1 -Account "JaneDoe"

Adds a user to the AVD Host Pool Assignment List within the AVD Host Pool Settings specified by Id.\
\*\*---------- EXAMPLE 2 ----------

Add-RASAVDHostPoolAssignment -Name "Logon1" -Account "SID://DOMAIN/JaneDoe"

Adds a user to the AVD Host Pool Assignment List within the AVD Host Pool Settings specified by Name.

## RELATED LINKS

* [Get-RASAVDHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasavdhostpool.md)
* [Set-RASAVDHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasavdhostpool.md)
* [Get-RASAVDHostPoolAssignment](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasavdhostpoolassignment.md)
* [Remove-RASAVDHostPoolAssignment](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasavdhostpoolassignment.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasavdhostpoolassignment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
